<?php

namespace MakeCommerce;

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      3.0.0
 * @package    Makecommerce
 * @subpackage Makecommerce/includes
 * @author     Maksekeskus AS <support@maksekeskus.ee>
 */

 class Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    3.0.0
	 */
	public static function activate() {
		
		global $wpdb;
		
		//Create table if it doesn't already exist
		$wpdb->query
		("
			CREATE TABLE IF NOT EXISTS 
				`" . $wpdb->prefix . MAKECOMMERCE_TABLENAME . "`
				(
					`id` mediumint(9) NOT NULL AUTO_INCREMENT, 
					`type` varchar(10) NOT NULL, 
					`country` char(2) NOT NULL, 
					`name` varchar(25) NOT NULL, 
					`url` varchar(250) NOT NULL, 
					`logo_url` varchar(250), 
					`min_amount` mediumint(9), 
					`max_amount` mediumint(9), 
					UNIQUE KEY `id` (`id`)
				) 
			" . $wpdb->get_charset_collate() . ";
		");
		
		//Create sco table if it doesn't already exist
		$wpdb->query
		("
			CREATE TABLE IF NOT EXISTS
				`" .  $wpdb->prefix . MAKECOMMERCE_SCO_TABLENAME . "`
				(
					`id` int(11) unsigned not null auto_increment,
					`cart_id` varchar(64) not null default '',
					`order_id` int(10) unsigned not null,
					`created` int(10) unsigned not null,
					`modified` int(10) unsigned not null,
					`status` tinyint unsigned not null,
					`content` mediumtext,
					unique key id (`id`),
					key `cart_id` (`cart_id`)
				)
			" . $wpdb->get_charset_collate() . ";
		");
	}

}
