<?php

namespace MakeCommerce\Shipping\Method\ParcelMachine;

/**
 * DPD parcelmachine shippinh method.
 * Defines all DPD specific options.
 * 
 * @since 3.0.0
 */

class DPD extends \MakeCommerce\Shipping\Method\ParcelMachine {

    public $carrier = "DPD";
    public $service_name = "DPD InterConnect";
    public $type = "apt";
    public $default_price = "5.00";
    public $default_max_weight = "30";

    //FI, LT, LV,  SE
    public array $valid_phonenumber_country_codes = array(
        "358",
        "370",
        "371",
        "46"
    );
    
    /**
     * Loads all form fields specific to this shipping method
     * 
     * @since 3.0.0
     */
    public function initialize_method_form_fields() {
        
        //This is needed for our API. It changes behaviour depending on the country your contract has been signed in
        $this->form_fields['service_carrier'] = array(
            'type' => 'select',
            'title' => __( 'Integration country', 'wc_makecommerce_domain' ),
            'options' => array(
                "DPD" => __( 'Estonia', 'wc_makecommerce_domain' ),
                "DPD_LV" => __( 'Latvia', 'wc_makecommerce_domain' ),
                "DPD_LT" => __( 'Lithuania', 'wc_makecommerce_domain' ),
                ),
            'default' => "ee",
            'description' => __( "Which country's carrier gave you the credentials", 'wc_makecommerce_domain' ),
        );
    }
}